package cn.com.tenlion.buildingpictures.pojo.vos.picturestemplate;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PicturesTemplateVO
 * @Description: 图片套版的套版管理
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class PicturesTemplateVO {

    @ApiModelProperty(name = "picturesTemplateCode", value = "套版编码")
    @CheckEmptyAnnotation(name = "套版编码")
    private String picturesTemplateCode;
    @ApiModelProperty(name = "picturesTemplateBackgroundImage", value = "套版底图")
    @CheckEmptyAnnotation(name = "套版底图")
    private String picturesTemplateBackgroundImage;
    @ApiModelProperty(name = "picturesTemplateTitle", value = "套版名称")
    @CheckEmptyAnnotation(name = "套版名称")
    private String picturesTemplateTitle;
    @ApiModelProperty(name = "picturesTemplateHeight", value = "画板高度")
//    @CheckNumberAnnotation(name = "套版高度")
    private Double picturesTemplateHeight;
    @ApiModelProperty(name = "picturesTemplateWidth", value = "画板宽度")
//    @CheckNumberAnnotation(name = "套版宽度")
    private Double picturesTemplateWidth;
    @ApiModelProperty(name = "picturesTemplatePublishStatus", value = "套版发布状态")
    @CheckEmptyAnnotation(name = "套版发布状态")
    private String picturesTemplatePublishStatus;
    @ApiModelProperty(name = "picturesTemplatePublishTime", value = "套版发布时间")
    private String picturesTemplatePublishTime;
    @ApiModelProperty(name = "picturesTemplateUrl", value = "套版访问地址")
    private String picturesTemplateUrl;
    @ApiModelProperty(name = "picturesTemplateContent", value = "套版代码")
    private String picturesTemplateContent;
    @ApiModelProperty(name = "picturesTemplateFile", value = "套版附件")
    private String picturesTemplateFile;
    @ApiModelProperty(name = "picturesTemplateBack", value = "生成尺寸")
    @CheckEmptyAnnotation(name = "生成尺寸")
    private String picturesTemplateBack;
    @ApiModelProperty(name = "picturesTemplateSize", value = "显示尺寸")
    private String picturesTemplateSize;
    @ApiModelProperty(name = "picturesTemplatePicture", value = "预览图")
    private String picturesTemplatePicture;
    @ApiModelProperty(name = "picturesTemplatePictureUrl", value = "预览图ID")
    private String picturesTemplatePictureUrl;

    public String getPicturesTemplatePictureUrl() {
        return picturesTemplatePictureUrl == null ? "" : picturesTemplatePictureUrl;
    }

    public void setPicturesTemplatePictureUrl(String picturesTemplatePictureUrl) {
        this.picturesTemplatePictureUrl = picturesTemplatePictureUrl;
    }

    public String getPicturesTemplatePicture() {
        return picturesTemplatePicture == null ? "" : picturesTemplatePicture;
    }

    public void setPicturesTemplatePicture(String picturesTemplatePicture) {
        this.picturesTemplatePicture = picturesTemplatePicture;
    }

    public String getPicturesTemplateSize() {
        return picturesTemplateSize == null ? "" : picturesTemplateSize;
    }

    public void setPicturesTemplateSize(String picturesTemplateSize) {
        this.picturesTemplateSize = picturesTemplateSize;
    }

    public String getPicturesTemplateBack() {
        return picturesTemplateBack == null ? "" : picturesTemplateBack;
    }

    public void setPicturesTemplateBack(String picturesTemplateBack) {
        this.picturesTemplateBack = picturesTemplateBack;
    }

    public String getPicturesTemplateFile() {
        return picturesTemplateFile == null ? "" : picturesTemplateFile;
    }

    public void setPicturesTemplateFile(String picturesTemplateFile) {
        this.picturesTemplateFile = picturesTemplateFile;
    }

    public String getPicturesTemplateCode() {
        return picturesTemplateCode == null ? "" : picturesTemplateCode.trim();
    }

    public void setPicturesTemplateCode(String picturesTemplateCode) {
        this.picturesTemplateCode = picturesTemplateCode;
    }

    public String getPicturesTemplateBackgroundImage() {
        return picturesTemplateBackgroundImage == null ? "" : picturesTemplateBackgroundImage.trim();
    }

    public void setPicturesTemplateBackgroundImage(String picturesTemplateBackgroundImage) {
        this.picturesTemplateBackgroundImage = picturesTemplateBackgroundImage;
    }

    public String getPicturesTemplateTitle() {
        return picturesTemplateTitle == null ? "" : picturesTemplateTitle.trim();
    }

    public void setPicturesTemplateTitle(String picturesTemplateTitle) {
        this.picturesTemplateTitle = picturesTemplateTitle;
    }

    public Double getPicturesTemplateHeight() {
        return picturesTemplateHeight == null ? 0D : picturesTemplateHeight;
    }

    public void setPicturesTemplateHeight(Double picturesTemplateHeight) {
        this.picturesTemplateHeight = picturesTemplateHeight;
    }

    public Double getPicturesTemplateWidth() {
        return picturesTemplateWidth == null ? 0D : picturesTemplateWidth;
    }

    public void setPicturesTemplateWidth(Double picturesTemplateWidth) {
        this.picturesTemplateWidth = picturesTemplateWidth;
    }

    public String getPicturesTemplatePublishStatus() {
        return picturesTemplatePublishStatus == null ? "" : picturesTemplatePublishStatus.trim();
    }

    public void setPicturesTemplatePublishStatus(String picturesTemplatePublishStatus) {
        this.picturesTemplatePublishStatus = picturesTemplatePublishStatus;
    }

    public String getPicturesTemplatePublishTime() {
        return picturesTemplatePublishTime == null ? "" : picturesTemplatePublishTime.trim();
    }

    public void setPicturesTemplatePublishTime(String picturesTemplatePublishTime) {
        this.picturesTemplatePublishTime = picturesTemplatePublishTime;
    }

    public String getPicturesTemplateUrl() {
        return picturesTemplateUrl == null ? "" : picturesTemplateUrl.trim();
    }

    public void setPicturesTemplateUrl(String picturesTemplateUrl) {
        this.picturesTemplateUrl = picturesTemplateUrl;
    }

    public String getPicturesTemplateContent() {
        return picturesTemplateContent == null ? "" : picturesTemplateContent.trim();
    }

    public void setPicturesTemplateContent(String picturesTemplateContent) {
        this.picturesTemplateContent = picturesTemplateContent;
    }


}
